Bug 196473 - Can't build "C/C++ Database Application" if instantclient_11_2 copied into Oracle Solaris Studio folder
Can't build "C/C++ Database Application" if instantclient_11_2 copied into Or...
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: -- Other --
7.0
PC Solaris
: P1 (vote)
: 7.0
Assigned To: nnnnnk
issues@cnd
: 70_HR_FIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-09 09:17 UTC by soldatov
Modified: 2011-03-25 06:03 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description soldatov 2011-03-09 09:17:00 UTC
Can't build "C/C++ Database Application" if instantclient_11_2 copied into Oracle Solaris Studio folder.

Scenario:
- create C/C++ Database Application
- build it

Pro*C Preprocessor
LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/opt/solstudio12.2/instantclient_11_2; /opt/solstudio12.2/instantclient_11_2/sdk/proc lines=yes iname=main.pc parse=none oname=main.c

Pro*C/C++: Release 11.2.0.2.0 - Production on Wed Mar 9 12:13:14 2011

Copyright (c) 1982, 2009, Oracle and/or its affiliates.  All rights reserved.

System default option values taken from: /opt/solstudio12.2/instantclient_11_2/precomp/admin/pcscfg.cfg

d-espb04-127-46 --> 1 job
mkdir -p build/Debug/OracleSolarisStudio_12.2-Solaris-x86
cc   -c -g -I/opt/solstudio12.2/instantclient_11_2/sdk/include -o build/Debug/OracleSolarisStudio_12.2-Solaris-x86/main.o main.c
mkdir -p build/Debug/OracleSolarisStudio_12.2-Solaris-x86
cc   -c -g -I/opt/solstudio12.2/instantclient_11_2/sdk/include -o build/Debug/OracleSolarisStudio_12.2-Solaris-x86/main.o main.c
"main.c", line 117: warning: no explicit type given
"main.c", line 119: warning: no explicit type given
"main.c", line 121: warning: no explicit type given
"main.c", line 122: warning: no explicit type given
"main.c", line 123: warning: no explicit type given
d-espb04-127-46 --> 1 job
mkdir -p dist/Debug/OracleSolarisStudio_12.2-Solaris-x86
cc    -o dist/Debug/OracleSolarisStudio_12.2-Solaris-x86/dbapplication_3 build/Debug/OracleSolarisStudio_12.2-Solaris-x86/main.o -lclntsh -lnnz11 -L/opt/solstudio12.2/instantclient_11_2 -R/opt/solstudio12.2/instantclient_11_2 
mkdir -p dist/Debug/OracleSolarisStudio_12.2-Solaris-x86
cc    -o dist/Debug/OracleSolarisStudio_12.2-Solaris-x86/dbapplication_3 build/Debug/OracleSolarisStudio_12.2-Solaris-x86/main.o -lclntsh -lnnz11 -L/opt/solstudio12.2/instantclient_11_2 -R/opt/solstudio12.2/instantclient_11_2 
ld: fatal: library -lclntsh: not found
ld: fatal: library -lnnz11: not found
ld: fatal: file processing errors. No output written to dist/Debug/OracleSolarisStudio_12.2-Solaris-x86/dbapplication_3
*** Error code 2
dmake: Fatal error: Command failed for target `dist/Debug/OracleSolarisStudio_12.2-Solaris-x86/dbapplication_3'
Current working directory /export/files/NB/DbApplication_3
*** Error code 1
dmake: Fatal error: Command failed for target `.build-conf'
Current working directory /export/files/NB/DbApplication_3
*** Error code 1
dmake: Fatal error: Command failed for target `.build-impl'

BUILD FAILED (exit value 1, total time: 10s)
Comment 2 soldatov 2011-03-10 12:35:46 UTC
verified in special build (Oracle Solaris Studio with latest NetBeans)
Comment 3 nnnnnk 2011-03-10 14:56:16 UTC
transplanted to:
http://hg.netbeans.org/releases/rev/248bddbaa620
Comment 4 soldatov 2011-03-17 14:59:40 UTC
Verified in Oracle Solaris Studio based on NetBeans 7.0rc1


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo